Update a specific schedule rotation active day by id
curl --request PUT \
--url https://api.rootly.com/v1/schedule_rotation_active_days/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "schedule_rotation_active_days",
"attributes": {
"day_name": "S",
"active_time_attributes": [
{
"start_time": "<string>",
"end_time": "<string>"
}
]
}
}
}
'{
"data": {
"id": "3f52803e-629f-4bcd-9050-e8d3ead0e7bb",
"type": "schedule_rotation_active_days",
"attributes": {
"schedule_rotation_id": "c3a09591-35a7-4097-b16f-75eaed0816f0",
"day_name": "M",
"created_at": "2026-02-07T16:50:31.838-08:00",
"updated_at": "2026-02-07T16:50:32.366-08:00",
"active_time_attributes": [
{
"start_time": "10:30",
"end_time": "03:30"
}
]
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Show child attributes
schedule_rotation_active_day updated
Show child attributes
Was this page helpful?
curl --request PUT \
--url https://api.rootly.com/v1/schedule_rotation_active_days/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "schedule_rotation_active_days",
"attributes": {
"day_name": "S",
"active_time_attributes": [
{
"start_time": "<string>",
"end_time": "<string>"
}
]
}
}
}
'{
"data": {
"id": "3f52803e-629f-4bcd-9050-e8d3ead0e7bb",
"type": "schedule_rotation_active_days",
"attributes": {
"schedule_rotation_id": "c3a09591-35a7-4097-b16f-75eaed0816f0",
"day_name": "M",
"created_at": "2026-02-07T16:50:31.838-08:00",
"updated_at": "2026-02-07T16:50:32.366-08:00",
"active_time_attributes": [
{
"start_time": "10:30",
"end_time": "03:30"
}
]
}
}
}